RichEdit could support nonprintable characters concept

10/22/2015 11:33 PM - Zbigniew Rebacz

Status: Patch ready Start date: 10/22/2015

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: RichEdit Estimated time: 0.00 hour

Target version: Release 2021.1 - NTH Spent time: 0.00 hour

Description

Now nonprintable characters are shown by default. You can turn it off by using "wrench" button on the right side of ruller. But, it is

uncomfortable. My solution here is to add option "nonprintable_characters" that will base on this concept, but in addition offer better user

interface.

More information about implementation you can find in diff file.

History

#1 - 10/22/2015 11:33 PM - Zbigniew Rebacz

In the future TheIDE topic editor needs also this improvement.

#2 - 10/22/2015 11:34 PM - Zbigniew Rebacz

- Status changed from New to Patch ready

- Assignee set to Miroslav Fidler

#3 - 10/22/2015 11:37 PM - Zbigniew Rebacz

- File deleted (NonprintableCharacters.diff)

#4 - 10/22/2015 11:37 PM - Zbigniew Rebacz

- File NonprintableCharacters.diff added

#5 - 10/22/2015 11:47 PM - Zbigniew Rebacz

- File deleted (NonprintableCharacters.diff)

#6 - 10/22/2015 11:47 PM - Zbigniew Rebacz

- File NonprintableCharacters.diff added

#7 - 10/24/2015 08:39 PM - Zbigniew Rebacz

- File NonprintableCharactersIde.png added

#8 - 12/02/2015 12:48 PM - Zbigniew Rebacz

- Target version changed from Release 2015.2 - NTH to Release 2017.1

#9 - 01/28/2016 01:56 PM - Miroslav Fidler

- Target version changed from Release 2017.1 to Release 2017.1 - NTH

#10 - 02/05/2017 11:21 AM - Zbigniew Rebacz

- Target version changed from Release 2017.1 - NTH to Release 2017.2 - NTH

#11 - 12/24/2017 06:36 PM - Zbigniew Rebacz

04/25/2025 1/2



- Target version changed from Release 2017.2 - NTH to Release 2018.1 - NTH

#12 - 04/03/2018 10:00 PM - Zbigniew Rebacz

- Target version changed from Release 2018.1 - NTH to Release 2019.1 - NTH

#13 - 06/24/2019 01:29 AM - Zbigniew Rebacz

- Target version changed from Release 2019.1 - NTH to Release 2019.2 - NTH

#14 - 11/01/2019 11:22 AM - Zbigniew Rebacz

- Target version changed from Release 2019.2 - NTH to Release 2020.1 - NTH

#15 - 05/24/2020 12:48 PM - Zbigniew Rebacz

- Target version changed from Release 2020.1 - NTH to Release 2020.2 - NTH

#16 - 10/21/2020 11:34 PM - Zbigniew Rebacz

- Target version changed from Release 2020.2 - NTH to Release 2021.1 - NTH

Files

NonprintableCharacters.diff 10.8 KB 10/22/2015 Zbigniew Rebacz

NonprintableCharactersIde.png 318 KB 10/24/2015 Zbigniew Rebacz
